Skip to content
POST

Distribute an HPP session

https://api.kustom.co/hpp/v1/sessions/{session_id}/distribution

Use this API to distribute to the Consumer a link to the Hosted Payment Page either by e-mail or SMS after you have created an HPP session. Read more on Distribute link to the HPP Session to the Consumer.

Parameters1 field
  • session_idstringrequiredin path

    HPP session id

Request body7 fields

Distribution Request parameters

  • contact_informationobjectrequired
    4 fields in contact_information
    • access_idstringoptional

      Access Id for connection to HPP session. Only required if distribution method is ‘token’

      • klarna:09f4a78d-d096-47d4-a0f6-abcf680c70fe
      • 467521087419
      • 278352
    • emailstringoptional

      Email where to send the email with the HPP link. Only required if distribution method is ‘email’

    • phonestringoptional

      Phone number where to send the sms with the HPP link. Only required if distribution method is ‘sms’

    • phone_countrystringoptional

      ISO 3166 alpha-2 phone country. Only required if distribution method is ‘sms’

  • methodstringrequired

    Method used for distribution

    • sms
    • email
    • token
  • templatestringoptional

    Template to use for distribution. In the current version this value is not used and might be removed in the future.

    • INSTORE_PURCHASE
201
Response0 fields

Created

No response body — this status returns headers only.

204
Response0 fields

Successfully distributed the HPP Session

No response body — this status returns headers only.

400
Response0 fields

We were unable to distribute the link with the provided data. Some field constraint was violated. Or session is disabled by merchant.

No response body — this status returns headers only.

401
Response0 fields

Unauthorized

No response body — this status returns headers only.

403
Response0 fields

Forbidden

No response body — this status returns headers only.

404
Response0 fields

HPP session not found or access token not found

No response body — this status returns headers only.

503
Response0 fields

We were unable to distribute the link due to an internal error. Please try again

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.